uudoc(1)

NAME
uudoc - Copy SOURCE to DEST or multiple SOURCE(s) to the existing DIRECTORY, while setting permission modes and owner/group

SYNOPSIS
uudoc [--backup] [-b ] [-c ] [-C|--compare] [-d|--directory] [-D ] [-g|--group] [-m|--mode] [-o|--owner] [-p|--preserve-timestamps] [-s|--strip] [--strip-program] [-S|--suffix] [-t|--target-directory] [-T|--no-target-directory] [-v|--verbose] [-P|--preserve-context] [-Z ] [--context] [-h|--help] [-V|--version] [files]

DESCRIPTION
Copy SOURCE to DEST or multiple SOURCE(s) to the existing DIRECTORY, while setting permission modes and owner/group

OPTIONS

--backup[=<CONTROL>]
    make a backup of each existing destination file

-b  like --backup but does not accept an argument

-c  ignored

-C, --compare
    compare each pair of source and destination files, and in some cases, do not modify the destination at all

-d, --directory
    treat all arguments as directory names. create all components of the specified directories

-D  create all leading components of DEST except the last, then copy SOURCE to DEST

-g, --group <GROUP>
    set group ownership, instead of process's current group

-m, --mode <MODE>
    set permission mode (as in chmod), instead of rwxr-xr-x

-o, --owner <OWNER>
    set ownership (super-user only)

-p, --preserve-timestamps
    apply access/modification times of SOURCE files to corresponding destination files

-s, --strip
    strip symbol tables (no action Windows)

--strip-program <PROGRAM>
    program used to strip binaries (no action Windows)

-S, --suffix <SUFFIX>
    override the usual backup suffix

-t, --target-directory <DIRECTORY>
    move all SOURCE arguments into DIRECTORY

-T, --no-target-directory
    treat DEST as a normal file

-v, --verbose
    explain what is being done

-P, --preserve-context
    preserve security context

-Z  set SELinux security context of destination file and each created directory to default type

--context [<CONTEXT>]
    set security context of files and directories

-h, --help
    Print help

-V, --version
    Print version

[files]

EXTRA
Examples Copy files to the destination: install {{path/to/source_file1 path/to/source_file2 ...}} {{path/to/destination}} Copy files to the destination, setting their ownership: install {{[-o|--owner]}} {{user}} {{path/to/source_file1 path/to/source_file2 ...}} {{path/to/destination}} Copy files to the destination, setting their group ownership: install {{[-g|--group]}} {{user}} {{path/to/source_file1 path/to/source_file2 ...}} {{path/to/destination}} Copy files to the destination, setting their `mode`: install {{[-m|--mode]}} {{+x}} {{path/to/source_file1 path/to/source_file2 ...}} {{path/to/destination}} Copy files and apply access/modification times of source to the destination: install {{[-p|--preserve-timestamps]}} {{path/to/source_file1 path/to/source_file2 ...}} {{path/to/destination}} Copy files and create the directories at the destination if they don't exist: install -D {{path/to/source_file1 path/to/source_file2 ...}} {{path/to/destination}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0